Bug 720128 - [abrt] kernel: WARNING: at lib/dma-debug.c:875 check_for_stack+0x95/0xd3(): TAINTED ---------W
[abrt] kernel: WARNING: at lib/dma-debug.c:875 check_for_stack+0x95/0xd3(): T...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-07-09 16:00 EDT by Mikko Tiihonen
Modified: 2011-08-22 10:50 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-3.0.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-08-17 22:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikko Tiihonen 2011-07-09 16:00:10 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        ro root=UUID=10033589-14c8-48f0-8d13-e2b4bf44fce6 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=fi rhgb quiet selinux=0 pcie_aspm=force
comment:        The warning appears on syslog on every boot
component:      kernel
kernel:         undefined
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
os_release:     Fedora release 16 (Rawhide)
package:        kernel
reason:         WARNING: at lib/dma-debug.c:875 check_for_stack+0x95/0xd3()
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Sat Jul  9 22:44:56 2011

:WARNING: at lib/dma-debug.c:875 check_for_stack+0x95/0xd3()
:Hardware name: 42844DG
:ehci_hcd 0000:00:1d.0: DMA-API: device driver maps memory fromstack [addr=ffff8804221f9c74]
:Modules linked in: cdc_ncm(+) media v4l2_compat_ioctl32 usbnet mii cdc_wdm cdc_acm microcode joydev snd_hda_codec_conexant i2c_i801 snd_hda_intel snd_hda_codec iwlagn snd_hwdep snd_seq snd_seq_device mac80211 snd_pcm xhci_hcd cfg80211 iTCO_wdt iTCO_vendor_support snd_timer snd_page_alloc e1000e thinkpad_acpi rfkill snd virtio_net soundcore kvm_intel kvm uinput btrfs zlib_deflate libcrc32c sdhci_pci firewire_ohci sdhci firewire_core crc_itu_t mmc_core wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video
:Pid: 672, comm: modprobe Not tainted 3.0-0.rc6.git0.1.fc16.x86_64 #1
:Call Trace:
: [<ffffffff81057b0c>] warn_slowpath_common+0x83/0x9b
: [<ffffffff81057bc7>] warn_slowpath_fmt+0x46/0x48
: [<ffffffff8126c2c0>] check_for_stack+0x95/0xd3
: [<ffffffff8126c517>] debug_dma_map_page+0xc8/0xf1
: [<ffffffff8137d47e>] dma_map_single_attrs.constprop.7+0xa7/0xba
: [<ffffffff81268795>] ? swiotlb_dma_mapping_error+0x15/0x23
: [<ffffffff8137d6e7>] usb_hcd_map_urb_for_dma+0x256/0x2e1
: [<ffffffff8137dd80>] usb_hcd_submit_urb+0x60e/0x6eb
: [<ffffffff81086590>] ? lockdep_init_map+0xa0/0x115
: [<ffffffff8137eb81>] usb_submit_urb+0x301/0x313
: [<ffffffff81074d3b>] ? __init_waitqueue_head+0x3a/0x4b
: [<ffffffff8137f83f>] usb_start_wait_urb+0x70/0x174
: [<ffffffff8137ecb3>] ? usb_alloc_urb+0x1b/0x43
: [<ffffffff8137ecb3>] ? usb_alloc_urb+0x1b/0x43
: [<ffffffff8137fb79>] usb_control_msg+0xde/0x102
: [<ffffffffa041ad6c>] cdc_ncm_do_request.constprop.2+0x61/0x6c [cdc_ncm]
: [<ffffffffa041b3c4>] cdc_ncm_bind+0x64d/0x965 [cdc_ncm]
: [<ffffffff81086590>] ? lockdep_init_map+0xa0/0x115
: [<ffffffffa0402b23>] usbnet_probe+0x2c2/0x65a [usbnet]
: [<ffffffff81089781>] ? trace_hardirqs_on_caller+0x10b/0x12f
: [<ffffffffa041ad09>] cdc_ncm_probe+0xe/0x10 [cdc_ncm]
: [<ffffffff81382936>] usb_probe_interface+0x150/0x1bd
: [<ffffffff81322c3b>] driver_probe_device+0x131/0x213
: [<ffffffff81322d7b>] __driver_attach+0x5e/0x82
: [<ffffffff81322d1d>] ? driver_probe_device+0x213/0x213
: [<ffffffff81321c7c>] bus_for_each_dev+0x59/0x8f
: [<ffffffff8132280f>] driver_attach+0x1e/0x20
: [<ffffffff81322427>] bus_add_driver+0xd4/0x22a
: [<ffffffff8132320a>] driver_register+0x98/0x105
: [<ffffffff81381a63>] usb_register_driver+0xb8/0x17c
: [<ffffffffa0420000>] ? 0xffffffffa041ffff
: [<ffffffffa042002c>] cdc_ncm_init+0x2c/0x1000 [cdc_ncm]
: [<ffffffff81002099>] do_one_initcall+0x7f/0x13a
: [<ffffffffa0420000>] ? 0xffffffffa041ffff
: [<ffffffff810943bc>] sys_init_module+0x114/0x268
: [<ffffffff814fa242>] system_call_fastpath+0x16/0x1b
Comment 1 Josh Boyer 2011-08-01 16:00:02 EDT
The cdc_ncm driver seems to have not gotten all of it's local stack variable usage cleared up and our development kernels have CONFIG_DMA_API_DEBUG set so there are extra checks done on the parameters passed.  This appears to be a bug in the cdc_ncm driver.  I've emailed upstream about this.

I don't see any changes in the kernel around this driver from 3.0-0.rc6.git0.1.fc16 until the current Linus head, but it would be nice if you could confirm this is still an issue with kernel-3.0.0-2.fc16 if you are still on F16 and/or kernel-3.1.0-0.rc0.git15.1.fc17 if you are following rawhide.
Comment 2 Josh Boyer 2011-08-02 09:45:42 EDT
Could you please test this kernel and let me know if it solves the stack trace?

Comment 3 Mikko Tiihonen 2011-08-03 02:24:54 EDT
I tried kernel-3.0.0-2.fc16 which did not report any problems (but then I found out it didn't have the debugging enabled).

I'm now running 3.0.0-3.fc16 and the stacktrace from the bugreport is gone.
Comment 4 Josh Boyer 2011-08-03 08:02:41 EDT
Great, thanks for testing!  I'll get the change pulled back into an official F16 kernel today.
Comment 5 Fedora Update System 2011-08-08 20:04:33 EDT
kernel-3.0.1-3.fc16 has been submitted as an update for Fedora 16.
Comment 6 Fedora Update System 2011-08-08 22:53:04 EDT
Package kernel-3.0.1-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.0.1-3.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-08-16 08:47:06 EDT
kernel- has been submitted as an update for Fedora 15.
Comment 8 Fedora Update System 2011-08-17 22:29:59 EDT
kernel- has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-08-22 10:49:54 EDT
kernel-3.0.1-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.